var ParseDomain, exports;

ParseDomain = require('./parseDomain');

exports = module.exports = function() {};

module.exports.tldUrl = 'http://mxr.mozilla.org/mozilla-central/source/netwerk/dns/effective_tld_names.dat?raw=1';

Object.defineProperty(module.exports, 'parse', {
  enumerable: false,
  configurable: false,
  writable: false,
  value: function(domainUrl) {
    return new ParseDomain(domainUrl);
  }
});

Object.defineProperty(module.exports, 'express', {
  enumerable: false,
  configurable: false,
  writable: false,
  value: function(req, res, next) {
    req.tld = this.parse(req.hostname);
    return next();
  }
});
