ParseDomain = require './parseDomain'

exports = module.exports = ->

#==============================================================================
# list of TLD
#==============================================================================
module.exports.tldUrl = 'http://mxr.mozilla.org/mozilla-central/source/netwerk/dns/effective_tld_names.dat?raw=1'

#==============================================================================
# Parse domain
#==============================================================================
Object.defineProperty module.exports, 'parse',
  enumerable: false
  configurable: false
  writable: false
  value: (domainUrl) ->
    new ParseDomain domainUrl

#==============================================================================
# Express use
#==============================================================================
Object.defineProperty module.exports, 'express',
  enumerable: false
  configurable: false
  writable: false
  value: (req, res, next) ->
    req.tld = @parse req.hostname
    next()
